{% extends 'base.html.twig' %}

{% block title %}Weather index{% endblock %}

{% block body %}
    <h1>Weather index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Date</th>
                <th>Pressure</th>
                <th>Humidity</th>
                <th>Temperature</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for weather in weather %}
            <tr>
                <td>{{ weather.id }}</td>
                <td>{{ weather.date ? weather.date|date('Y-m-d') : '' }}</td>
                <td>{{ weather.pressure }}</td>
                <td>{{ weather.humidity }}</td>
                <td>{{ weather.temperature }}</td>
                <td>{{ weather.description }}</td>
                <td>
                    <a href="{{ path('measurements_show', {'id': weather.id}) }}">show</a>
                    <a href="{{ path('measurements_edit', {'id': weather.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
        {% for message in app.flashes('success') %}
        <div class='alert alert-success'>
        {{message}}
        </div>
        {% endfor %}

        {% for message in app.flashes('danger') %}
        <div class='alert alert-danger'>
        {{message}}
        </div>
        {% endfor %}
    {% if is_granted("ROLE_NEW_MEASUREMENT") %}
    <a href="{{ path('measurements_new') }}">Create new</a>
    {% endif %}
{% endblock %}
